-- This file can be loaded by calling `lua require('plugins')` from your init.vim

require('plugins')
local map = vim.keymap.set

vim.o.clipboard = 'unnamedplus'
vim.o.wrap = false
vim.o.hlsearch = false
vim.wo.number = true
vim.wo.relativenumber = true
vim.o.ignorecase = true
vim.o.smartcase = true
vim.o.termguicolors = true

vim.g.mapleader = " "

map("n", "<C-s>", vim.cmd.w)
map("n", "<C-q>", vim.cmd.wq)
map("n", "vv", "^vg_", { noremap = true })

local telescope = require('telescope.builtin')
map('n', '<leader><leader>f', telescope.find_files, {})
map('n', '<leader><leader>g', telescope.live_grep, {})
map('n', '<leader><leader>b', telescope.buffers, {})
map('n', '<leader><leader>t', telescope.help_tags, {})

-- local neogit = require('neogit')
-- 
-- neogit.setup {}

